"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storePrune = void 0;
const logger_1 = require("@pnpm/logger");
async function storePrune(opts) {
    const reporter = opts?.reporter;
    if ((reporter != null) && typeof reporter === 'function') {
        logger_1.streamParser.on('data', reporter);
    }
    await opts.storeController.prune();
    await opts.storeController.close();
    if ((reporter != null) && typeof reporter === 'function') {
        logger_1.streamParser.removeListener('data', reporter);
    }
}
exports.storePrune = storePrune;
//# sourceMappingURL=storePrune.js.map